# Classfixes Part 3

______________________________________________________________

## Whats is this mod?

This mod is the 3rd part of the Classfixes series, it adds the Blood Witch (Ingame Character Name: Ema Lockwell), which is a revamped/changed version of the original Blood Mage by Llama_Mage and reworks the Skilltree and skills of the vanilla Hex Mage.

## Was that even necessary?

We all enjoyed our playthoughts of Vanilla Outward but small things there, out of character thing elsewhere, lacking of option somewhere else, such things created a spark in me for what is possible for those skilltrees that could make them viable options for every combination or even make them stand on their own as main picks.

## Did you change or edited the Skills?

I did edit most of the Hex Mage skills and all the Blood Mage skills. So any mod that edit those skills may be possibly incompatible.

## Will there be more reworked Skilltrees?

This is the Part 3 of the 3 Parts series of mods. You can find the rest of them uploaded in the Thunderstore.

______________________________________________________________

## Future plans
 More balance.

## Communication
 To report any bugs join Outward Modding Community on Discord and leave your commend on stormcancer-workshop Channel! Thanks a lot!

## Contributors
 Many thanks to Proboina, Avrixel, Rickey_Soares, Schnabeldoktor ,Breadcrumb_Lord, IggyTheMad, Dubdubaba and Ehaugw  for their help with their clever suggestions and ideas! They help me so much on my brainstorming!
Also huge thanks to Emo for his amazing help on overriding the vanilla skilltrees with my custom new! A HUGE THANK YOU to Breadcrumb_Lord (aka Llama_Mage) for letting me do a revamped version of Blood Mage in this mod and for his huge contribution on coding the most cool passive effects ever!!!
Thanks to all the Outward Modding Community and to Sinai for the tools he provided us!

## Original Blood Mage mod by Llama_Mage

For anyone who wish to experience the original Blood Mage! Just make sure to not use both mods together as they are incompatible.
https://outward.thunderstore.io/package/Llama_Mage/Blood_Mage/
                       
### Enjoy! :)

______________________________________________________________


## Installation
- 1 Download [BepInEx](https://outward.thunderstore.io/package/BepInEx/BepInExPack_Outward/)
- 2 Download [SideLoader](https://outward.thunderstore.io/package/sinai-dev/SideLoader/)
- 3 Download [SideLoader ExtendedEffects](https://outward.thunderstore.io/package/SLExtendedEffects/SideLoader_ExtendedEffects/)
- 4 Unpack the contents of the zip file into the ...OutwardDefinitiveEd\BepInEx\plugins\stormcancer-Classfixes_Part_3

______________________________________________________________

## Spoilers Ahead!

### Whats New:


#### Skills:

- **Rune: Vis**(Required: Lexicon. Black rune that does nothing on its own, but can produce combo effects by casting other runes in the correct order.) (Obtained from Blood Witch)

- **Rune: Heim**(Required: Lexicon. Sanguine rune that does nothing on its own, but can produce combo effects by casting other runes in the correct order.) (Obtained from Blood Witch)

- **Vile Syntax**(Gain access to more advanced runic combos.) (Obtained from Blood Witch)

- **Leyline Abandonment**(Reverts the effects of Leyline communion converting mana back to health. All mana costs are now taken from health instead of mana.) (Obtained from Blood Witch) (same as original Blood Mage)

- **Leyline Entanglement**(Half of mana costs are now taken from health instead of mana.) (Obtained from Blood Witch) (same as original Blood Mage)

- **Malicious Offering**(Spell which transfer any active hex on you to your enemies.) (Obtained from Hex Mage)

- **Blight Manipulation**(Grants +20 max health and max mana but generates corruption over time.) (Obtained from Hex Mage)

- **Rottenness**(Requires: 10% Corruption. Spell that bends your accumulated corruption to restore health and mana over time.) (Obtained from Hex Mage)

#### Reworked vanilla Skills and changes:

- **Jinx**(Inflicts a random Hex debuff on yourself.)

- **Torment**(Shoot a corrupting cloud that triggers a related reaction in an enemy afflicted with a Hex.)

- **Rupture**(Rupture is same as vanilla, just added a visual effect.)

- **Blood Sigil**(Fixed it's description to match all the other vanilla sigils descriptions and moved it to the Blood Witch Skilltree instead.)

- **Cleanse**(Moved it to the Blood Witch Skilltree instead.)

- **Bloodlust**(Moved it to the Blood Witch Skilltree instead and made it a Breakthrough.)

#### Items:

- **Corrupting Potion**(Add +10% Corruption) (Recipe sold by Alchemists)

- **Great Corrupting Potion**(Add +25% Corruption) (Recipe sold by Alchemists)

______________________________________________________________

### Vis and Heim Runic Combos:

- 1 Shim + Heim = Blood Blade(Summons a one handed Blood Blade. With Runic Prefix it gets imbued with Blood Imbue. Generates Corruption per hit.)

- 2 Egoth + Vis = Blood Barrier(Grants +2 Barrier and 15% Elemental Resistance. Inflicts you with Bleeding while its linked to that effect. With Runic Prefix grants plus +1 Barrier and + 5 Impact Resistance and Physical Resistance. Generates Corruption while active.)


### Vile Syntax Runic Combos:

- 1 Blood Blade + Shim + Vis = Great Blood Blade(Summons a two handed Great Blood Blade. With Runic Prefix it gets imbued with Blood Imbue. Generates Corruption per hit.)

- 2 Blood Barrier + Egoth + Heim = Blood Bath(A continues blast of blood that deals decay damage and leeches health. Inflicts you with Extreme Bleeding while its linked to that effect. With Runic Prefix inflicts Extreme Bleeding and Extreme Poison on enemies. Generates Corruption while active.)

- 3 Blood Barrier + Vis + Heim (in any order) = Blood Projectile(Shoot a projectile that deals physical and decay damage and inflicts your enemy with Pain and Bleeding. With Runic Prefix it restores some of your health on hit and builds up Extreme Bleeding on enemies. Generates Corruption per hit.)

______________________________________________________________

### Locations:

- Ema Lockwell (Blood Witch) can be found in Harmattan. In a corner near the closed gate by the Speedster trainer. (Same Location as the original Blood Mage)
______________________________________________________________

## All Skilltrees Layouts

![bloodtree](https://imgur.com/3ktKGTs.png)

______________________________________________________________